"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var platform_1 = require("@webprovisions/platform");
// tslint:disable align
var configApi = {
    ready: platform_1.createConfigCommand(platform_1.ConfigurationScope.Implementation, platform_1.ConfigurationStage.Pre, function (context, fn) {
        var container = context.container;
        var implementation = container.owner;
        var bootstrapped = container.get('bootstrapped') || false;
        if (!bootstrapped) {
            implementation.events.subscribeOnce('bootstrap:ready', function () {
                container.register('bootstrapped', true);
                fn(implementation);
            });
        }
        else {
            fn(implementation);
        }
    }),
};
exports.default = configApi;
//# sourceMappingURL=configuration-api.js.map